---
title: "GET /blueprints/simulating/data/{session}/{key} - Blueprints · RUAL Documentation"
description: "Get data from blueprint simulation"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-simulating-data--session---key-get
language: en
---

# GET /blueprints/simulating/data/{session}/{key}

Get data from blueprint simulation

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **session** required | `string` | `"example"` |  |
| **key** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_view` | Required scope: blueprints_view |
